THE EDGE 96.1
Beats That Move You

Now Playing:

Loading...
Listen on

There Is Some Really Bad News For iPhone Users

Apple’s new software update that will be released later this year, will not be available for customers still using the iPhone 5 and iPhone 5c.

The company announced iOS11 at an event on Tuesday and have confirmed that older iPhones and iPads will not be supported.

It will not work on the iPhone 5 (released in 2012) or the iPhone 5C (2013), as well as fourth-generation iPads (2012).

You will still be able to use the devices with iOS 10 but you may not receive security updates.

The other downside is that some apps will stop working as they will be optimised for iOS11.

The reason for the move has to do with the processors in the devices.

iOS 11 will only work on newer iPhones that have a 64-bit processor which allows the system to use larger amounts of memory. Older iPhones have a 32-bit processor.

Share this: